> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/changelogs/version-10/v10-8-0.md).

# Version 10.8.0 Changelog (March 20, 2024)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

Version: 10.8.0.83604

Release Date: March 20, 2024

## Notes

This release of Apryse for Android brings the core PDF functionality inline with version 10.8.0 of the Apryse cross-platform APIs. Most non-module related changes apply to Android.

## Fixes

* Fixed issue where free text is not editable after initial creation
* Fixed issue where free text with rich content created from another platform is not editable
* Fixed issue where annotation with and without notes appear to have the same note icon
* Fixed potential crash when editing sticky note annotation created from another vendor

## APIs

### PDFViewCtrlTools package

#### CloudCreate

*new* static final field: `double CLOUD_CREATE_SCALE`

#### CustomKeys

*new* static final field: `CustomKeys ACTION_DIR_PARENT_CAN_READ`

*new* static final field: `CustomKeys ACTION_DIR_PARENT_CAN_WRITE`

*new* static final field: `CustomKeys ACTION_DIR_PARENT_IS_DIRECTORY`

*removed* static final field: `CustomKeys ACTION_DIR_CAN_READ`

*removed* static final field: `CustomKeys ACTION_DIR_CAN_WRITE`

*removed* static final field: `CustomKeys ACTION_DIR_EXISTS`

*removed* static final field: `CustomKeys ACTION_DIR_IS_DIRECTORY`

#### AnnotUtils

*new* static method: `Rect getActualUnrotatedBBox(PDFViewCtrl, Annot, int)`

#### Utils

*new* static method: `boolean isAndroidS()`

#### SimpleRecyclerView

*new* method: `void removeSpaceDecoration()`

#### TabActionButtonTheme

*new* constructor: `TabActionButtonTheme(int, int, float, float, float, float)`

*new* final field: `float cornerRadius`

*new* final field: `float iconSize`

*new* final field: `float strokeWidth`

*new* final field: `float textSize`

*removed* constructor: `TabActionButtonTheme(int, int)`

#### FileInfoDrawerFragment

*removed* method: `Drawable drawableShadow(int, float, float, float, int)`

#### ToolbarFragment

*new* method: `boolean showCustomToolbarView()`

#### Delegate

*new* static method: `Delegate create(FragmentActivity, boolean, boolean)`

*removed* static method: `Delegate create(FragmentActivity, boolean)`

#### MiscUtils

*new* static method: `SpannableString appendFavoriteHeart(Context, String)`

### pdfnet-demo-utils package

#### FileInfoDrawerFragment

*removed* method: `Drawable drawableShadow(int, float, float, float, int)`

#### ToolbarFragment

*new* method: `boolean showCustomToolbarView()`

#### Delegate

*new* static method: `Delegate create(FragmentActivity, boolean, boolean)`

*removed* static method: `Delegate create(FragmentActivity, boolean)`

#### MiscUtils

*new* static method: `SpannableString appendFavoriteHeart(Context, String)`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/android/changelogs/version-10/v10-8-0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
